[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

r857 - glibc-package/branches/glibc-2.3.4/debian/patches



Author: gotom
Date: 2005-03-21 05:25:51 +0100 (Mon, 21 Mar 2005)
New Revision: 857

Modified:
   glibc-package/branches/glibc-2.3.4/debian/patches/50_glibc232-arm-dwarf2-buildfix.dpatch
   glibc-package/branches/glibc-2.3.4/debian/patches/50_glibc232-m68k-dwarf2-buildfix.dpatch
   glibc-package/branches/glibc-2.3.4/debian/patches/glibc-i686-timing.dpatch
   glibc-package/branches/glibc-2.3.4/debian/patches/glibc23-cmov.dpatch
   glibc-package/branches/glibc-2.3.4/debian/patches/glibc23-sse-oldkernel.dpatch
   glibc-package/branches/glibc-2.3.4/debian/patches/hppa-drop-utimes.dpatch
   glibc-package/branches/glibc-2.3.4/debian/patches/ldconfig.dpatch
   glibc-package/branches/glibc-2.3.4/debian/patches/ldd.dpatch
   glibc-package/branches/glibc-2.3.4/debian/patches/ldso-disable-hwcap.dpatch
   glibc-package/branches/glibc-2.3.4/debian/patches/locale-no_NO.dpatch
   glibc-package/branches/glibc-2.3.4/debian/patches/makeconfig.dpatch
Log:
    * These dpatches are modified/replaced with the newer patches in
      debian/patches/:
      - glibc-i686-timing.dpatch: Modify makefile.  Fix i686 library breakage.
      - glibc23-cmov.dpatch: Drop additional TLS parts.
      - glibc23-sse-oldkernel.dpatch: Regenerated.
      - hppa-drop-utimes.dpatch: Regenerated.
      - ldconfig.dpatch: The previous patch seems being wrong because it
        supresses all warnings about error.  The new patch I introduced should
        not warn during debootstrap, and works finely during normal operation.
      - ldd.dpatch: Regenerated.
      - ldso-disable-hwcap.dpatch: Regenerated.
      - locale-no_NO.dpatch: Drop locale.alias part which is already applied.
      - makeconfig.dpatch: Regenerated.
      - 50_glibc232-arm-dwarf2-buildfix.dpatch: Modify to fix sjlj compilation.
      - 50_glibc232-m68k-dwarf2-buildfix.dpatch: Likewise.


Modified: glibc-package/branches/glibc-2.3.4/debian/patches/50_glibc232-arm-dwarf2-buildfix.dpatch
===================================================================
--- glibc-package/branches/glibc-2.3.4/debian/patches/50_glibc232-arm-dwarf2-buildfix.dpatch	2005-03-21 04:13:59 UTC (rev 856)
+++ glibc-package/branches/glibc-2.3.4/debian/patches/50_glibc232-arm-dwarf2-buildfix.dpatch	2005-03-21 04:25:51 UTC (rev 857)
@@ -1,21 +1,25 @@
 #! /bin/sh -e
 
 # All lines beginning with `# DP:' are a description of the patch.
-# DP: Description: Adding empty arm framestate.c not to build for dwarf2.
-# DP: Author: Philip Blundell <pb@nexus.co.uk>
+# DP: Description: Adding empty m68k framestate.c not to build for dwarf2.
+# DP: Related bugs: 
+# DP: Dpatch author: Philip Blundell <pb@nexus.co.uk>
+# DP: Patch author: Philip Blundell <pb@nexus.co.uk>
 # DP: Upstream status: Debian-Specific
 # DP: Status Details: ARM uses sjlj exceptions, not dwarf2 unwind.
 # DP:		This patch adds empty framestate.c for arm to avoid
 # DP:		dwarf2 build failure.
-# DP: Date: 2003-07-19
+# DP: Date: 2003-07-19 (Update 2005-03-14 gotom)
 
+PATCHLEVEL=0
+
 if [ $# -ne 2 ]; then
     echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
     exit 1
 fi
 case "$1" in
-    -patch) patch -d "$2" -f --no-backup-if-mismatch -p0 < $0;;
-    -unpatch) patch -d "$2" -f --no-backup-if-mismatch -R -p0 < $0;;
+    -patch) patch -d "$2" -f --no-backup-if-mismatch -p$PATCHLEVEL < $0;;
+    -unpatch) patch -d "$2" -f --no-backup-if-mismatch -R -p$PATCHLEVEL < $0;;
     *)
 	echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
 	exit 1
@@ -23,8 +27,28 @@
 exit 0
 
 # append the patch here and adjust the -p? flag in the patch calls.
+
+2005-03-14  GOTO Masanori  <gotom@debian.org>
+
+	* sysdeps/arm/unwind-pe.c: Update to fix compilation failure.
+
+2003-07-19  GOTO Masanori  <gotom@debian.org>
+
+	* sysdeps/arm/framestate.c: Add to fix compilation failure
+	with sjlj exception, suggested by Philip Blundell.
+
+
 --- /dev/null   2003-01-13 18:16:28.000000000 +0900
 +++ sysdeps/arm/framestate.c    2003-07-16 23:21:34.000000000 +0900
 @@ -0,0 +1,2 @@
 +
 +
+--- /dev/null	2004-12-05 06:07:48.000000000 +0000
++++ sysdeps/arm/unwind-pe.c	2005-03-14 05:14:16.000000000 +0000
+@@ -0,0 +1,6 @@
++#include <stdlib.h>
++#include <unwind.h>
++
++#define _LIBC_DEFINITIONS
++#define NO_BASE_OF_ENCODED_VALUE
++#include "unwind-pe.h"

Modified: glibc-package/branches/glibc-2.3.4/debian/patches/50_glibc232-m68k-dwarf2-buildfix.dpatch
===================================================================
--- glibc-package/branches/glibc-2.3.4/debian/patches/50_glibc232-m68k-dwarf2-buildfix.dpatch	2005-03-21 04:13:59 UTC (rev 856)
+++ glibc-package/branches/glibc-2.3.4/debian/patches/50_glibc232-m68k-dwarf2-buildfix.dpatch	2005-03-21 04:25:51 UTC (rev 857)
@@ -1,21 +1,25 @@
 #! /bin/sh -e
 
 # All lines beginning with `# DP:' are a description of the patch.
-# DP: Description: Adding empty arm framestate.c not to build for dwarf2.
-# DP: Author: Philip Blundell <pb@nexus.co.uk>
+# DP: Description: Adding empty m68k framestate.c not to build for dwarf2.
+# DP: Related bugs: 
+# DP: Dpatch author: GOTO Masanori <gotom@debian.org>
+# DP: Patch author: GOTO Masanori <gotom@debian.org>
 # DP: Upstream status: Debian-Specific
-# DP: Status Details: ARM uses sjlj exceptions, not dwarf2 unwind.
-# DP:		This patch adds empty framestate.c for arm to avoid
+# DP: Status Details: m68k uses sjlj exceptions, not dwarf2 unwind.
+# DP:		This patch adds empty framestate.c for m68k to avoid
 # DP:		dwarf2 build failure.
-# DP: Date: 2003-07-19
+# DP: Date: 2003-07-19 (Update 2005-03-16 gotom)
 
+PATCHLEVEL=0
+
 if [ $# -ne 2 ]; then
     echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
     exit 1
 fi
 case "$1" in
-    -patch) patch -d "$2" -f --no-backup-if-mismatch -p0 < $0;;
-    -unpatch) patch -d "$2" -f --no-backup-if-mismatch -R -p0 < $0;;
+    -patch) patch -d "$2" -f --no-backup-if-mismatch -p$PATCHLEVEL < $0;;
+    -unpatch) patch -d "$2" -f --no-backup-if-mismatch -R -p$PATCHLEVEL < $0;;
     *)
 	echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
 	exit 1
@@ -23,8 +27,28 @@
 exit 0
 
 # append the patch here and adjust the -p? flag in the patch calls.
+
+2005-03-16  GOTO Masanori  <gotom@debian.org>
+
+	* sysdeps/m68k/unwind-pe.c: Update to fix compilation failure.
+
+2003-07-19  GOTO Masanori  <gotom@debian.org>
+
+	* sysdeps/m68k/framestate.c: Add to fix compilation failure
+	with sjlj exception, suggested by Philip Blundell.
+
+
 --- /dev/null   2003-01-13 18:16:28.000000000 +0900
 +++ sysdeps/m68k/framestate.c    2003-07-16 23:21:34.000000000 +0900
 @@ -0,0 +1,2 @@
 +
 +
+--- /dev/null	2004-12-05 06:07:48.000000000 +0000
++++ sysdeps/m68k/unwind-pe.c	2005-03-14 05:14:16.000000000 +0000
+@@ -0,0 +1,6 @@
++#include <stdlib.h>
++#include <unwind.h>
++
++#define _LIBC_DEFINITIONS
++#define NO_BASE_OF_ENCODED_VALUE
++#include "unwind-pe.h"

Modified: glibc-package/branches/glibc-2.3.4/debian/patches/glibc-i686-timing.dpatch
===================================================================
--- glibc-package/branches/glibc-2.3.4/debian/patches/glibc-i686-timing.dpatch	2005-03-21 04:13:59 UTC (rev 856)
+++ glibc-package/branches/glibc-2.3.4/debian/patches/glibc-i686-timing.dpatch	2005-03-21 04:25:51 UTC (rev 857)
@@ -1,11 +1,14 @@
 #! /bin/sh -e
  
 # All lines beginning with `# DP:' are a description of the patch.
-# DP: Description: i386/i686 libraries fix
+# DP: Description: i386 ld.so gets sigsegv when i686 optimized library is used,
+#		   because the structure size of rtld_global and rtld_global_ro 
+#		   are different due to HP_TIMING_AVAIL availability.
+#		   This patch aligns those sizes for using i686 optimized library.
 # DP: Author: Daniel Jacobowitz <dan@debian.org>
 # DP: Upstream status: Pending
 # DP: Status Details:
-# DP: Date: 2003-10-03 (Updated 2003-10-12)
+# DP: Date: 2003-10-03 (Updated 2003-10-12), (Updated 2005-01-02, 2005-03-03 gotom)
  
 if [ $# -ne 2 ]; then
     echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
@@ -20,6 +23,15 @@
 esac
 exit 0
 
+2005-03-03  GOTO Masanori  <gotom@debian.org>
+
+	* sysdeps/generic/ldsodefs.h (struct rtld_global, rtld_global_ro):
+	Include timing members if HP_TIMING_PAD is defined.
+
+2005-01-02  GOTO Masanori  <gotom@debian.org>
+
+	* elf/Makefile: Regenerate.
+
 2003-10-12  Daniel Jacobowitz  <drow@mvista.com>
 
 	* sysdeps/generic/ldsodefs.h (struct rtld_global): Include timing
@@ -28,9 +40,9 @@
 	* elf/Makefile: Add dl-altinit to routines, shared-only-routines.
 	* elf/dl-altinit.c: New file.
 
---- glibc-2.3.2/sysdeps/generic/ldsodefs.h.orig	2003-10-03 11:47:45.000000000 -0400
-+++ glibc-2.3.2/sysdeps/generic/ldsodefs.h	2003-10-03 11:48:10.000000000 -0400
-@@ -292,7 +292,7 @@ struct rtld_global
+--- glibc-2.3.4/sysdeps/generic/ldsodefs.h.gotom	2005-03-03 11:23:08.000000000 +0900
++++ glibc-2.3.4/sysdeps/generic/ldsodefs.h	2005-03-03 11:24:05.000000000 +0900
+@@ -258,7 +258,7 @@
    /* The object to be initialized first.  */
    EXTERN struct link_map *_dl_initfirst;
  
@@ -38,7 +50,16 @@
 +#if HP_TIMING_AVAIL || HP_SMALL_TIMING_AVAIL || HP_TIMING_PAD
    /* Start time on CPU clock.  */
    EXTERN hp_timing_t _dl_cpuclock_offset;
+ #endif
+@@ -462,7 +462,7 @@
+   /* All search directories defined at startup.  */
+   EXTERN struct r_search_path_elem *_dl_init_all_dirs;
  
+-#if HP_TIMING_AVAIL || HP_SMALL_TIMING_AVAIL
++#if HP_TIMING_AVAIL || HP_SMALL_TIMING_AVAIL || HP_TIMING_PAD
+   /* Overhead of a high-precision timing measurement.  */
+   EXTERN hp_timing_t _dl_hp_timing_overhead;
+ #endif
 --- /dev/null	1969-12-31 19:00:00.000000000 -0500
 +++ glibc-2.3.2/sysdeps/i386/hp-timing.h	2003-10-03 11:50:30.000000000 -0400
 @@ -0,0 +1,34 @@
@@ -76,37 +97,6 @@
 +typedef unsigned long long int hp_timing_t;
 +
 +#endif	/* hp-timing.h */
---- glibc-2.3.2/elf/Makefile.orig	2003-10-12 13:15:46.000000000 -0400
-+++ glibc-2.3.2/elf/Makefile	2003-10-12 13:17:38.000000000 -0400
-@@ -23,7 +23,7 @@ subdir		:= elf
- headers		= elf.h bits/elfclass.h link.h
- routines	= $(dl-routines) dl-open dl-close dl-support dl-iteratephdr \
- 		  dl-iteratephdr-static dl-addr enbl-secure dl-profstub \
--		  dl-origin dl-libc dl-sym dl-tsd
-+		  dl-origin dl-libc dl-sym dl-tsd dl-altinit
- 
- # The core dynamic linking functions are in libc for the static and
- # profiled libraries.
-@@ -40,6 +40,10 @@ elide-routines.os = $(all-dl-routines) d
- rtld-routines	:= rtld $(dl-routines) dl-sysdep dl-environ dl-minimal
- all-rtld-routines = $(rtld-routines) $(sysdep-rtld-routines)
- 
-+# We only need to re-run initializers if ld.so and libc.so might be built
-+# for different machines, so only shared libraries need dl-altinit.
-+shared-only-routines = dl-altinit
-+
- distribute	:= rtld-Rules \
- 		   $(rtld-routines:=.c) dynamic-link.h do-rel.h dl-machine.h \
- 		   dl-cache.h dl-hash.h soinit.c sofini.c ldd.bash.in \
-@@ -91,7 +95,7 @@ include ../Makeconfig
- 
- ifeq ($(unwind-find-fde),yes)
- routines += unwind-dw2-fde-glibc
--shared-only-routines = unwind-dw2-fde-glibc
-+shared-only-routines += unwind-dw2-fde-glibc
- endif
- 
- before-compile  = $(objpfx)trusted-dirs.h
 --- /dev/null	1969-12-31 19:00:00.000000000 -0500
 +++ glibc-2.3.2/elf/dl-altinit.c	2003-10-12 13:23:15.000000000 -0400
 @@ -0,0 +1,43 @@
@@ -153,3 +143,25 @@
 +{
 +  dlinit_hptiming ();
 +}
+--- glibc-2.3.4/elf/Makefile	27 Oct 2004 20:26:47 -0000	1.287
++++ glibc-2.3.4/elf/Makefile	2 Jan 2005 08:29:55 -0000
+@@ -23,7 +23,7 @@
+ headers		= elf.h bits/elfclass.h link.h
+ routines	= $(dl-routines) dl-open dl-close dl-support dl-iteratephdr \
+ 		  dl-addr enbl-secure dl-profstub \
+-		  dl-origin dl-libc dl-sym dl-tsd
++		  dl-origin dl-libc dl-sym dl-tsd dl-altinit
+ 
+ # The core dynamic linking functions are in libc for the static and
+ # profiled libraries.
+@@ -41,6 +41,10 @@
+ rtld-routines	:= rtld $(dl-routines) dl-sysdep dl-environ dl-minimal
+ all-rtld-routines = $(rtld-routines) $(sysdep-rtld-routines)
+ 
++# We only need to re-run initializers if ld.so and libc.so might be built
++# for different machines, so only shared libraries need dl-altinit.
++shared-only-routines = dl-altinit
++
+ distribute	:= rtld-Rules \
+ 		   $(rtld-routines:=.c) dynamic-link.h do-rel.h dl-machine.h \
+ 		   dl-cache.h dl-hash.h soinit.c sofini.c ldd.bash.in \

Modified: glibc-package/branches/glibc-2.3.4/debian/patches/glibc23-cmov.dpatch
===================================================================
--- glibc-package/branches/glibc-2.3.4/debian/patches/glibc23-cmov.dpatch	2005-03-21 04:13:59 UTC (rev 856)
+++ glibc-package/branches/glibc-2.3.4/debian/patches/glibc23-cmov.dpatch	2005-03-21 04:25:51 UTC (rev 857)
@@ -9,14 +9,15 @@
 # DP: Date: 2003-02-21
 # DP: Updated 2003-10-12 by dan@debian.org for TLS
 # DP: Updated 2004-01-02 to fix building with newer patches by jb.
+# DP: Updated 2005-01-02 to fix building with newer patches by gotom.
 
 if [ $# -ne 2 ]; then
     echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
     exit 1
 fi
 case "$1" in
-    -patch) patch -d "$2" -f --no-backup-if-mismatch -p1 < $0;;
-    -unpatch) patch -d "$2" -f --no-backup-if-mismatch -R -p1 < $0;;
+    -patch) patch -d "$2" -f --no-backup-if-mismatch -p0 < $0;;
+    -unpatch) patch -d "$2" -f --no-backup-if-mismatch -R -p0 < $0;;
     *)
 	echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
 	exit 1
@@ -24,39 +25,17 @@
 exit 0
 
 # append the patch here and adjust the -p? flag in the patch calls.
---- libc/sysdeps/i386/dl-procinfo.h	2002-09-22 06:14:11.000000000 +0900
-+++ libc/sysdeps/i386/dl-procinfo.h.new	2003-01-19 01:18:55.000000000 +0900
+2005-01-02  GOTO Masanori  <gotom@debian.org>
+
+	* sysdeps/i386/dl-procinfo.h: Update to add CMOV for VIA C3 chip.
+
+--- sysdeps/i386/dl-procinfo.h	10 Mar 2004 18:29:31 -0000	1.3
++++ sysdeps/i386/dl-procinfo.h	2 Jan 2005 09:13:55 -0000
 @@ -57,7 +57,7 @@
    HWCAP_I386_AMD3D = 1 << 31,
  
    /* XXX Which others to add here?  */
--  HWCAP_IMPORTANT = (HWCAP_I386_MMX)
-+  HWCAP_IMPORTANT = (HWCAP_I386_MMX | HWCAP_I386_CMOV)
+-  HWCAP_IMPORTANT = (HWCAP_I386_XMM2)
++  HWCAP_IMPORTANT = (HWCAP_I386_CMOV | HWCAP_I386_XMM2)
  
  };
- 
---- libc/sysdeps/generic/dl-cache.c	2003-02-02 05:33:47.000000000 +0900
-+++ libc/sysdeps/generic/dl-cache.c.new1	2003-02-21 09:18:19.000000000 +0900
-@@ -260,6 +260,12 @@
-       if (platform != (uint64_t) -1)
- 	platform = 1ULL << platform;
- 
-+#ifdef USE_TLS
-+# define TLS_BIT (1ULL << 63)
-+#else
-+# define TLS_BIT 0
-+#endif
-+
-       /* Only accept hwcap if it's for the right platform.  */
- #define HWCAP_CHECK \
-       if (GL(dl_osversion)						      \
-@@ -271,7 +277,8 @@
- 	  && (lib->hwcap & _DL_HWCAP_PLATFORM) != platform)		      \
- 	continue;							      \
-       if (hwcap								      \
--	  && ((lib->hwcap & *hwcap & ~_DL_HWCAP_PLATFORM) > *hwcap))	      \
-+	  && ((lib->hwcap & ~_DL_HWCAP_PLATFORM & (*hwcap | TLS_BIT)) <		      \
-+	      (lib->hwcap & ~_DL_HWCAP_PLATFORM)))			      \
- 	continue
-       SEARCH_CACHE (cache_new);
-     }

Modified: glibc-package/branches/glibc-2.3.4/debian/patches/glibc23-sse-oldkernel.dpatch
===================================================================
--- glibc-package/branches/glibc-2.3.4/debian/patches/glibc23-sse-oldkernel.dpatch	2005-03-21 04:13:59 UTC (rev 856)
+++ glibc-package/branches/glibc-2.3.4/debian/patches/glibc23-sse-oldkernel.dpatch	2005-03-21 04:25:51 UTC (rev 857)
@@ -7,14 +7,15 @@
 # DP: Upstream status: Not submitted
 # DP: Details: Should be submitted, must be regenerated against CVS
 # DP: Date: 2003-11-01 (Updated 2003-11-02) (Updated 2004-01-02)
+# DP: Date: (Updated 2005-01-03 gotom)
 
 if [ $# -ne 2 ]; then
     echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
     exit 1
 fi
 case "$1" in
-    -patch) patch -d "$2" -f --no-backup-if-mismatch -p1 < $0;;
-    -unpatch) patch -d "$2" -f --no-backup-if-mismatch -R -p1 < $0;;
+    -patch) patch -d "$2" -f --no-backup-if-mismatch -p0 < $0;;
+    -unpatch) patch -d "$2" -f --no-backup-if-mismatch -R -p0 < $0;;
     *)
 	echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
 	exit 1
@@ -22,6 +23,17 @@
 exit 0
 
 # append the patch here and adjust the -p? flag in the patch calls.
+2005-01-03  GOTO Masanori  <gotom@debian.org>
+
+	* sysdeps/i386/dl-machine.h: Remove including dl-procinfo.h.
+	* sysdeps/unix/sysv/linux/i386/dl-procinfo.h: move
+	dl_adjust_procinfo() to ...
+	* sysdeps/i386/dl-machine.h: ... here.  Change GL(dl_hwcap) to
+	GLRO(dl_hwcap).
+	* sysdeps/generic/libc-start.c: Remove including dl-librecon.h,
+	dl-machine.h and dl-osinfo.h.
+	* elf/dl-support.c: Regenerated.
+
 2003-11-01  Daniel Jacobowitz  <drow@mvista.com>
 
 	* sysdeps/i386/dl-machine.h (dl_platform_init): Use
@@ -31,41 +43,39 @@
 	(dl_adjust_procinfo): New function.  Disable SSE and SSE2
 	for pre-2.4.x kernels.
 
---- glibc-2.3.2/sysdeps/i386/dl-machine.h.orig	2003-11-01 15:52:17.000000000 -0500
-+++ glibc-2.3.2/sysdeps/i386/dl-machine.h	2003-11-01 15:52:55.000000000 -0500
-@@ -25,6 +25,7 @@
- #include <sys/param.h>
- #include <sysdep.h>
- #include <tls.h>
-+#include <dl-procinfo.h>
- 
- /* Return nonzero iff ELF header is compatible with the running host.  */
- static inline int __attribute__ ((unused))
-@@ -357,6 +358,10 @@ dl_platform_init (void)
-   if (GL(dl_platform) != NULL && *GL(dl_platform) == '\0')
+Index: sysdeps/i386/dl-machine.h
+===================================================================
+RCS file: /cvs/glibc/libc/sysdeps/i386/dl-machine.h,v
+retrieving revision 1.128
+diff -u -r1.128 dl-machine.h
+--- sysdeps/i386/dl-machine.h	28 Sep 2004 04:54:41 -0000	1.128
++++ sysdeps/i386/dl-machine.h	3 Jan 2005 05:39:25 -0000
+@@ -357,6 +357,17 @@
+   if (GLRO(dl_platform) != NULL && *GLRO(dl_platform) == '\0')
      /* Avoid an empty string which would disturb us.  */
-     GL(dl_platform) = NULL;
+     GLRO(dl_platform) = NULL;
 +
 +#ifdef DL_ADJUST_PROCINFO
-+  DL_ADJUST_PROCINFO;
++  if (GL(dl_osversion) < 0x020400)
++    {
++      /* Unfortunately, while the capability is named OSFXSR, it's
++	 actually hardware FXSR direct from CPUID.  And we can't test
++	 CR4 ourselves, because we're in protected mode.  Disable it
++	 for kernels which might not have actually enabled OSFXSR.  */
++      GL(dl_hwcap) &= ~(HWCAP_I386_OSFXSR | HWCAP_I386_XMM | HWCAP_I386_XMM2);
++    }
 +#endif
  }
  
  static inline Elf32_Addr
---- glibc-2.3.2/sysdeps/generic/libc-start.c.orig	2003-11-02 23:11:51.000000000 -0500
-+++ glibc-2.3.2/sysdeps/generic/libc-start.c	2003-11-02 23:34:42.000000000 -0500
-@@ -23,6 +23,10 @@
- #include <bp-start.h>
- #include <bp-sym.h>
- 
-+#include <dl-osinfo.h>
-+#include <dl-librecon.h>
-+#include <dl-machine.h>
-+
- extern void __libc_init_first (int argc, char **argv, char **envp);
- 
- extern int __libc_multiple_libcs;
-@@ -123,15 +127,28 @@ LIBC_START_MAIN (int (*main) (int, char 
+Index: sysdeps/generic/libc-start.c
+===================================================================
+RCS file: /cvs/glibc/libc/sysdeps/generic/libc-start.c,v
+retrieving revision 1.52
+diff -u -r1.52 libc-start.c
+--- sysdeps/generic/libc-start.c	31 Mar 2004 01:46:43 -0000	1.52
++++ sysdeps/generic/libc-start.c	3 Jan 2005 05:39:25 -0000
+@@ -127,15 +129,28 @@
  #  endif
    _dl_aux_init (auxvec);
  # endif
@@ -96,13 +106,17 @@
    /* Initialize the thread library at least a bit since the libgcc
       functions are using thread functions if these are available and
       we need to setup errno.  If there is no thread library and we
---- glibc-2.3.2/elf/dl-support.c.orig	2003-11-02 22:55:47.000000000 -0500
-+++ glibc-2.3.2/elf/dl-support.c	2003-11-02 23:24:40.000000000 -0500
-@@ -252,18 +252,6 @@ _dl_non_dynamic_init (void)
-       if (__access ("/etc/suid-debug", F_OK) != 0)
- 	unsetenv ("MALLOC_CHECK_");
+Index: elf/dl-support.c
+===================================================================
+RCS file: /cvs/glibc/libc/elf/dl-support.c,v
+retrieving revision 1.87
+diff -u -r1.87 dl-support.c
+--- elf/dl-support.c	6 Nov 2004 00:24:49 -0000	1.87
++++ elf/dl-support.c	3 Jan 2005 05:39:25 -0000
+@@ -269,18 +269,6 @@
+ 	__unsetenv ("MALLOC_CHECK_");
      }
--
+ 
 -#ifdef DL_PLATFORM_INIT
 -  DL_PLATFORM_INIT;
 -#endif
@@ -114,11 +128,17 @@
 -  /* Now determine the length of the platform string.  */
 -  if (_dl_platform != NULL)
 -    _dl_platformlen = strlen (_dl_platform);
- }
- 
- 
---- glibc-2.3.2/sysdeps/unix/sysv/linux/i386/dl-procinfo.h.old	2004-01-02 13:53:32.000000000 -0500
-+++ glibc-2.3.2/sysdeps/unix/sysv/linux/i386/dl-procinfo.h	2004-01-02 13:55:18.000000000 -0500
+-
+   /* Scan for a program header telling us the stack is nonexecutable.  */
+   if (_dl_phdr != NULL)
+     for (uint_fast16_t i = 0; i < _dl_phnum; ++i)
+Index: sysdeps/unix/sysv/linux/i386/dl-procinfo.h
+===================================================================
+RCS file: /cvs/glibc/libc/sysdeps/unix/sysv/linux/i386/dl-procinfo.h,v
+retrieving revision 1.18
+diff -u -r1.18 dl-procinfo.h
+--- sysdeps/unix/sysv/linux/i386/dl-procinfo.h	7 Mar 2004 08:38:42 -0000	1.18
++++ sysdeps/unix/sysv/linux/i386/dl-procinfo.h	3 Jan 2005 05:39:25 -0000
 @@ -18,6 +18,8 @@
     Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
     02111-1307 USA.  */
@@ -128,25 +148,26 @@
  #include <sysdeps/i386/dl-procinfo.h>
  #include <ldsodefs.h>
  
-@@ -41,3 +41,21 @@
+@@ -41,3 +43,7 @@
  
    return 0;
  }
 +
-+#define DL_ADJUST_PROCINFO dl_adjust_procinfo ()
++#define DL_ADJUST_PROCINFO
 +
-+static inline void
-+__attribute__ ((unused, always_inline))
-+dl_adjust_procinfo (void)
-+{
-+  if (GL(dl_osversion) < 0x020400)
-+    {
-+      /* Unfortunately, while the capability is named OSFXSR, it's
-+        actually hardware FXSR direct from CPUID.  And we can't test
-+        CR4 ourselves, because we're in protected mode.  Disable it
-+        for kernels which might not have actually enabled OSFXSR.  */
-+      GL(dl_hwcap) &= ~(HWCAP_I386_OSFXSR | HWCAP_I386_XMM | HWCAP_I386_XMM2);
-+    }
-+}
-+
 +#endif /* _DL_PROCINFO_H */
+
+
+
+# it should not be used because dl-osinfo.h is already included.
+# --- sysdeps/generic/libc-start.c	31 Mar 2004 01:46:43 -0000	1.52
+# +++ sysdeps/generic/libc-start.c	3 Jan 2005 05:39:25 -0000
+# @@ -23,6 +23,8 @@
+#  #include <bp-start.h>
+#  #include <bp-sym.h>
+#  
+# +#include <dl-osinfo.h>
+# +
+#  extern void __libc_init_first (int argc, char **argv, char **envp);
+#  
+#  extern int __libc_multiple_libcs;

Modified: glibc-package/branches/glibc-2.3.4/debian/patches/hppa-drop-utimes.dpatch
===================================================================
--- glibc-package/branches/glibc-2.3.4/debian/patches/hppa-drop-utimes.dpatch	2005-03-21 04:13:59 UTC (rev 856)
+++ glibc-package/branches/glibc-2.3.4/debian/patches/hppa-drop-utimes.dpatch	2005-03-21 04:25:51 UTC (rev 857)
@@ -7,7 +7,7 @@
 # DP: Patch author: Randolph Chung <tausq@debian.org>
 # DP: Upstream status: Pending
 # DP: Status Details: 
-# DP: Date: Thu, 09 Dec 2004 12:01:12 -0800
+# DP: Date: Thu, 09 Dec 2004 12:01:12 -0800, (Updated 2005-01-02 gotom)
 
 
 if [ $# -ne 2 ]; then
@@ -23,20 +23,28 @@
 esac
 exit 0
 
+2005-01-02  GOTO Masanori  <gotom@debian.org>
+
+	* sysdeps/unix/sysv/linux/kernel-features.h: Regenerated.
+
 2004-12-09  Randolph Chung  <tausq@debian.org>
 
 	* sysdeps/unix/sysv/linux/kernel-features.h (__ASSUME_UTIMES): Don't
 	define for hppa, which doesn't support this syscall.
 
---- glibc-2.3.2/sysdeps/unix/sysv/linux/kernel-features.h.orig	2004-12-09 11:59:32.138873056 -0800
-+++ glibc-2.3.2/sysdeps/unix/sysv/linux/kernel-features.h	2004-12-09 11:59:49.386251056 -0800
-@@ -351,7 +351,7 @@
- 
+Index: sysdeps/unix/sysv/linux/kernel-features.h
+===================================================================
+RCS file: /cvs/glibc/libc/sysdeps/unix/sysv/linux/kernel-features.h,v
+retrieving revision 1.81
+diff -u -r1.81 kernel-features.h
+--- glibc-20041227/sysdeps/unix/sysv/linux/kernel-features.h	24 Nov 2004 04:36:11 -0000	1.81
++++ glibc-20041227/sysdeps/unix/sysv/linux/kernel-features.h	2 Jan 2005 12:19:13 -0000
+@@ -361,7 +361,7 @@
  /* The utimes syscall has been available for some architectures
-    forever.  For x86 it was introduced after 2.5.75.  */
+    forever.  For x86 it was introduced after 2.5.75, for x86-64 in
+    2.6.0-test3.  */
 -#if defined __alpha__ || defined __ia64__ || defined __hppa__ \
 +#if defined __alpha__ || defined __ia64__ \
      || defined __sparc__ \
-     || (__LINUX_KERNEL_VERSION > 132427 && defined __i386__)
- # define __ASSUME_UTIMES	1
-
+     || (__LINUX_KERNEL_VERSION > 132427 && defined __i386__) \
+     || (__LINUX_KERNEL_VERSION > 132609 && defined __x86_64__) \

Modified: glibc-package/branches/glibc-2.3.4/debian/patches/ldconfig.dpatch
===================================================================
--- glibc-package/branches/glibc-2.3.4/debian/patches/ldconfig.dpatch	2005-03-21 04:13:59 UTC (rev 856)
+++ glibc-package/branches/glibc-2.3.4/debian/patches/ldconfig.dpatch	2005-03-21 04:25:51 UTC (rev 857)
@@ -3,6 +3,12 @@
 # DP: Make it so that a missing /etc/ld.so.conf does not cause an error
 # DP: message, unless --verbose is enabled. This keeps the debian
 # DP: installer from barfing during bootstrap of the system.
+# DP:
+# DP: Updated by gotom, the previous one seems being wrong because it supresses
+# DP: _all_ warnings about "can't open configuration file". otoh, I introduce
+# DP: newer patches.  it should be checked using chroot and should be contacted
+# DP: to the upstream.
+# DP: Date: (Updated 2005-01-02 gotom)
 
 if [ $# -ne 2 ]; then
     echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
@@ -17,40 +23,64 @@
 esac
 exit 0
 
---- elf/ldconfig.c	2003-07-08 23:26:27.000000000 +0900
-+++ elf/ldconfig.c.debian	2003-07-08 23:29:43.000000000 +0900
-@@ -920,26 +920,24 @@
- {
-   FILE *file = NULL;
-   char *line = NULL;
--  const char *canon;
-+  const char *canon = filename;
-   size_t len = 0;
-+  int file_fd;
+2004-10-25  GOTO Masanori  <gotom@debian.or.jp>
+
+        * elf/ldconfig.c: Don't print error when default ld.so.conf
+          is not existed.
+
+Index: elf/ldconfig.c
+===================================================================
+RCS file: /cvs/glibc/libc/elf/ldconfig.c,v
+retrieving revision 1.47
+diff -u -r1.47 ldconfig.c
+--- elf/ldconfig.c	10 Aug 2004 04:04:32 -0000	1.47
++++ elf/ldconfig.c	2 Jan 2005 08:46:26 -0000
+@@ -972,7 +972,8 @@
  
-   if (opt_chroot)
-     {
-       canon = chroot_canon (opt_chroot, filename);
--      if (canon)
--	file = fopen (canon, "r");
--      else
-+      if (!canon)
- 	canon = filename;
-     }
--  else
--    {
--      canon = filename;
--      file = fopen (filename, "r");
--    }
-+
-+  if ((file_fd = open(canon, O_RDONLY | O_EXCL, 0022)) != -1)
-+    file = fdopen (file_fd, "r");
- 
    if (file == NULL)
      {
 -      error (0, errno, _("Can't open configuration file %s"), canon);
-+      if (opt_verbose)
++      if (strcmp(canon, LD_SO_CONF) != 0 || opt_verbose)
 +	error (0, errno, _("Can't open configuration file %s"), canon);
        if (canon != filename)
  	free ((char *) canon);
        return;
+
+# previous patch.
+#--- elf/ldconfig.c	2003-07-08 23:26:27.000000000 +0900
+#+++ elf/ldconfig.c.debian	2003-07-08 23:29:43.000000000 +0900
+#@@ -920,26 +920,24 @@
+# {
+#   FILE *file = NULL;
+#   char *line = NULL;
+#-  const char *canon;
+#+  const char *canon = filename;
+#   size_t len = 0;
+#+  int file_fd;
+# 
+#   if (opt_chroot)
+#     {
+#       canon = chroot_canon (opt_chroot, filename);
+#-      if (canon)
+#-	file = fopen (canon, "r");
+#-      else
+#+      if (!canon)
+# 	canon = filename;
+#     }
+#-  else
+#-    {
+#-      canon = filename;
+#-      file = fopen (filename, "r");
+#-    }
+#+
+#+  if ((file_fd = open(canon, O_RDONLY | O_EXCL, 0022)) != -1)
+#+    file = fdopen (file_fd, "r");
+# 
+#   if (file == NULL)
+#     {
+#-      error (0, errno, _("Can't open configuration file %s"), canon);
+#+      if (opt_verbose)
+#+	error (0, errno, _("Can't open configuration file %s"), canon);
+#       if (canon != filename)
+# 	free ((char *) canon);
+#       return;

Modified: glibc-package/branches/glibc-2.3.4/debian/patches/ldd.dpatch
===================================================================
--- glibc-package/branches/glibc-2.3.4/debian/patches/ldd.dpatch	2005-03-21 04:13:59 UTC (rev 856)
+++ glibc-package/branches/glibc-2.3.4/debian/patches/ldd.dpatch	2005-03-21 04:25:51 UTC (rev 857)
@@ -2,6 +2,9 @@
 
 # All lines beginning with `# DP:' are a description of the patch.
 # DP: Make ldd handle non-executable shared objects
+# DP: 
+# DP: Updated by gotom, it's nice to merge to the upstream after my review.
+# Date: (Updated 2004-01-02 gotom)
 
 if [ $# -ne 2 ]; then
     echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
@@ -16,9 +19,14 @@
 esac
 exit 0
 
---- elf/ldd.bash.in~	Tue Apr  3 21:43:31 2001
-+++ elf/ldd.bash.in	Tue Apr  3 21:54:15 2001
-@@ -32,6 +32,7 @@
+Index: elf/ldd.bash.in
+===================================================================
+RCS file: /cvs/glibc/libc/elf/ldd.bash.in,v
+retrieving revision 1.33
+diff -u -r1.33 ldd.bash.in
+--- elf/ldd.bash.in	8 Dec 2004 22:08:47 -0000	1.33
++++ elf/ldd.bash.in	2 Jan 2005 09:03:01 -0000
+@@ -31,6 +31,7 @@
  warn=
  bind_now=
  verbose=
@@ -26,7 +34,7 @@
  
  while test $# -gt 0; do
    case "$1" in
-@@ -123,8 +124,11 @@
+@@ -148,8 +149,11 @@
      echo "ldd: ${file}:" $"No such file or directory" >&2
      result=1
    elif test -r "$file"; then
@@ -40,17 +48,17 @@
      RTLD=
      for rtld in ${RTLDLIST}; do
        if test -x $rtld; then
-@@ -143,7 +147,12 @@
-     fi
-     case $ret in
-     0)
--      eval $add_env '"$file"' || result=1
+@@ -171,7 +175,12 @@
+       # If the program exits with exit code 5, it means the process has been
+       # invoked with __libc_enable_secure.  Fall back to running it through
+       # the dynamic linker.
+-      try_trace "$file"
 +      if [ ! -x "$file" ] && eval file -L "$file" 2>/dev/null \
 +      | sed 10q | egrep "$file_magic_regex" > /dev/null; then
-+        eval $add_env ${RTLD} '"$file"' || result=1
++	try_trace "${RTLD}" "$file"
 +      else
-+        eval $add_env '"$file"' || result=1
++	try_trace "$file"
 +      fi
-       ;;
-     1)
-       # This can be a non-ELF binary or no binary at all.
+       rc=$?
+       if [ $rc = 5 ]; then
+ 	try_trace "$RTLD" "$file"

Modified: glibc-package/branches/glibc-2.3.4/debian/patches/ldso-disable-hwcap.dpatch
===================================================================
--- glibc-package/branches/glibc-2.3.4/debian/patches/ldso-disable-hwcap.dpatch	2005-03-21 04:13:59 UTC (rev 856)
+++ glibc-package/branches/glibc-2.3.4/debian/patches/ldso-disable-hwcap.dpatch	2005-03-21 04:25:51 UTC (rev 857)
@@ -7,24 +7,29 @@
 # DP: Upstream status: Debian-Specific
 # DP: Status Details: This isn't going to be acceptable upstream, we
 # DP:                 only need it because we support in-place upgrades.
-# DP: Date: 2003-10-28
+# DP: Date: 2003-10-28, (Updated 2005-01-02 gotom)
 
 if [ $# -ne 2 ]; then
     echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
     exit 1
 fi
 case "$1" in
-    -patch) patch -d "$2" -f --no-backup-if-mismatch -p1 < $0;;
-    -unpatch) patch -d "$2" -f --no-backup-if-mismatch -R -p1 < $0;;
+    -patch) patch -d "$2" -f --no-backup-if-mismatch -p0 < $0;;
+    -unpatch) patch -d "$2" -f --no-backup-if-mismatch -R -p0 < $0;;
     *)
 	echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
 	exit 1
 esac
 exit 0
 
---- glibc-2.3.2/sysdeps/generic/dl-sysdep.c.orig	2003-10-28 12:22:33.000000000 -0500
-+++ glibc-2.3.2/sysdeps/generic/dl-sysdep.c	2003-10-28 12:38:49.000000000 -0500
-@@ -354,7 +354,11 @@ _dl_important_hwcaps (const char *platfo
+Index: sysdeps/generic/dl-sysdep.c
+===================================================================
+RCS file: /cvs/glibc/libc/sysdeps/generic/dl-sysdep.c,v
+retrieving revision 1.113
+diff -u -r1.113 dl-sysdep.c
+--- sysdeps/generic/dl-sysdep.c	6 Nov 2004 00:24:47 -0000	1.113
++++ sysdeps/generic/dl-sysdep.c	2 Jan 2005 10:24:13 -0000
+@@ -360,7 +360,11 @@
  #ifdef USE_TLS
    /* For TLS enabled builds always add 'tls'.  */
    ++cnt;
@@ -37,7 +42,7 @@
    if (cnt == 0)
      {
        /* If we have platform name and no important capability we only have
-@@ -369,7 +373,6 @@ _dl_important_hwcaps (const char *platfo
+@@ -375,7 +379,6 @@
        *sz = 1;
        return result;
      }
@@ -45,39 +50,44 @@
  
    /* Create temporary data structure to generate result table.  */
    temp = (struct r_strlenpair *) alloca (cnt * sizeof (*temp));
-@@ -411,9 +414,7 @@ _dl_important_hwcaps (const char *platfo
+@@ -417,9 +420,7 @@
    result = (struct r_strlenpair *) malloc (*sz * sizeof (*result) + total);
    if (result == NULL)
      {
 -#ifndef USE_TLS
      no_memory:
 -#endif
-       INTUSE(_dl_signal_error) (ENOMEM, NULL, NULL,
- 				N_("cannot create capability list"));
+       _dl_signal_error (ENOMEM, NULL, NULL,
+ 			N_("cannot create capability list"));
      }
---- glibc-2.3.2/sysdeps/generic/dl-cache.c.orig	2003-10-28 12:32:36.000000000 -0500
-+++ glibc-2.3.2/sysdeps/generic/dl-cache.c	2003-10-28 12:38:57.000000000 -0500
-@@ -246,6 +246,7 @@ _dl_load_cache_lookup (const char *name)
-       /* This file ends in static libraries where we don't have a hwcap.  */
-       unsigned long int *hwcap;
+Index: sysdeps/generic/dl-cache.c
+===================================================================
+RCS file: /cvs/glibc/libc/sysdeps/generic/dl-cache.c,v
+retrieving revision 1.46
+diff -u -r1.46 dl-cache.c
+--- sysdeps/generic/dl-cache.c	19 Mar 2004 00:36:32 -0000	1.46
++++ sysdeps/generic/dl-cache.c	2 Jan 2005 10:23:42 -0000
+@@ -244,6 +244,7 @@
+   if (cache_new != (void *) -1)
+     {
        uint64_t platform;
 +      int disable_hwcap = 0;
- #ifndef SHARED
-       weak_extern (_dl_hwcap);
- #endif
-@@ -261,6 +262,9 @@ _dl_load_cache_lookup (const char *name)
+ 
+       /* This is where the strings start.  */
+       cache_data = (const char *) cache_new;
+@@ -255,6 +256,9 @@
        if (platform != (uint64_t) -1)
  	platform = 1ULL << platform;
  
 +      if (__access ("/etc/ld.so.nohwcap", F_OK) == 0)
 +	disable_hwcap = 1;
 +
+       /* Only accept hwcap if it's for the right platform.  */
  #ifdef USE_TLS
- # define TLS_BIT (1ULL << 63)
- #else
-@@ -272,6 +276,8 @@ _dl_load_cache_lookup (const char *name)
-       if (GL(dl_osversion)						      \
- 	  && cache_new->libs[middle].osversion > GL(dl_osversion))	      \
+ # define _DL_HWCAP_TLS_MASK (1LL << 63)
+@@ -264,6 +268,8 @@
+ #define HWCAP_CHECK \
+       if (GLRO(dl_osversion) && lib->osversion > GLRO(dl_osversion))	      \
  	continue;							      \
 +      if (disable_hwcap && lib->hwcap != 0)				      \
 +	continue;							      \

Modified: glibc-package/branches/glibc-2.3.4/debian/patches/locale-no_NO.dpatch
===================================================================
--- glibc-package/branches/glibc-2.3.4/debian/patches/locale-no_NO.dpatch	2005-03-21 04:13:59 UTC (rev 856)
+++ glibc-package/branches/glibc-2.3.4/debian/patches/locale-no_NO.dpatch	2005-03-21 04:25:51 UTC (rev 857)
@@ -7,7 +7,7 @@
 # DP: Patch author: Petter Reinholdtsen
 # DP: Upstream status: Debian-Specific
 # DP: Status Details: 
-# DP: Date: Wed Mar 24 10:35:44 EST 2004
+# DP: Date: Wed Mar 24 10:35:44 EST 2004, (Updated 2005-01-02 gotom)
 
 PATCHLEVEL=0
 
@@ -25,17 +25,10 @@
 exit 0
 
 # append the patch here and adjust the -p? flag in the patch calls.
---- intl/locale.alias.old	2003-10-22 13:41:40.000000000 -0400
-+++ intl/locale.alias	2003-10-22 13:41:54.000000000 -0400
-@@ -58,8 +58,6 @@
- korean.euc 	ko_KR.eucKR
- ko_KR		ko_KR.eucKR
- lithuanian      lt_LT.ISO-8859-13
--nb_NO		no_NO.ISO-8859-1
--nb_NO.ISO-8859-1 no_NO.ISO-8859-1
- norwegian       no_NO.ISO-8859-1
- nynorsk		nn_NO.ISO-8859-1
- polish          pl_PL.ISO-8859-2
+2005-01-02  GOTO Masanori  <gotom@debian.org>
+
+	* intl/locale.alias: Dropped.
+
 --- /dev/null	2004-03-23 05:59:13.000000000 -0500
 +++ localedata/locales/no_NO	2004-03-24 10:31:32.000000000 -0500
 @@ -0,0 +1,2231 @@

Modified: glibc-package/branches/glibc-2.3.4/debian/patches/makeconfig.dpatch
===================================================================
--- glibc-package/branches/glibc-2.3.4/debian/patches/makeconfig.dpatch	2005-03-21 04:13:59 UTC (rev 856)
+++ glibc-package/branches/glibc-2.3.4/debian/patches/makeconfig.dpatch	2005-03-21 04:25:51 UTC (rev 857)
@@ -2,6 +2,7 @@
 
 # DP: Carried over from glibc2.2, need to figure out why it's here.
 # DP: (Probably has something to do with fakeroot)
+# DP: Date: (Updated 2005-01-02 gotom)
 
 if [ $# -ne 2 ]; then
     echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
@@ -16,15 +17,15 @@
 esac
 exit 0
 
---- Makeconfig~ 	2001/09/12 18:49:45	1.265
-+++ Makeconfig 	2001/10/07 20:56:17
-@@ -532,10 +532,11 @@
+--- Makeconfig	15 Dec 2004 18:51:47 -0000	1.302
++++ Makeconfig	2 Jan 2005 08:36:24 -0000
+@@ -541,10 +541,11 @@
  $(subst $(empty) ,:,$(strip $(patsubst -Wl$(comma)-rpath-link=%, %,\
  				       $(filter -Wl$(comma)-rpath-link=%,\
  						$(sysdep-LDFLAGS)))))
 +ld_envlib_path = $(shell test x$$LD_LIBRARY_PATH = x || echo -n :$$LD_LIBRARY_PATH)
  run-program-prefix = $(if $(filter $(notdir $(built-program-file)),\
- 				   $(tests-static)),, \
+ 				   $(tests-static) $(xtests-static)),, \
  			  $(elf-objpfx)$(rtld-installed-name) \
 -			  --library-path $(rpath-link)$(patsubst %,:%,$(sysdep-library-path)))
 +			  --library-path $(rpath-link)$(patsubst %,:%,$(sysdep-library-path))$(ld_envlib_path))



Reply to: